%define name	libneon
%define rname	neon
%define version	0.24.4
%define release	2mdk

%define	major	0.24
%define libname	%mklibname %{rname} %{major}

Name: 		%{name}
Version: 	%{version}
Release: 	%{release}
Summary: 	An HTTP and WebDAV client library, with a C interface.
Group: 		Development/Other
License: 	GPL
Source0: 	%{rname}-%{version}.tar.gz
Source1: 	%{rname}-%{version}.tar.gz.asc
URL: 		http://www.webdav.org/neon/
Provides:	libneon
Provides:	neon
BuildRequires:	openssl-devel >= 0.9.7
BuildRequires:	libxml2-devel
BuildRequires:	libxmlrpc-devel
Requires:	openssl >= 0.9.7
Requires:	libxml2
Requires:	libxmlrpc0
Buildroot: 	%{_tmppath}/%{name}-%{version}-buildroot

%description
neon is an HTTP and WebDAV client library for Unix systems, 
with a C language API. It provides high-level interfaces to 
HTTP/1.1 and WebDAV  methods, and a low-level interface to 
HTTP request/response handling, allowing new methods to be 
easily implemented.

%package -n	%{libname}
Summary:	Header files and develpment documentation for libnet
Group:		System/Libraries
Requires:	%{libname} = %{version}
Provides:	libneon
Provides:	neon
Obsoletes:	libneon0
Provides:	libneon0

%description -n %{libname}
neon is an HTTP and WebDAV client library for Unix systems, 
with a C language API. It provides high-level interfaces to 
HTTP/1.1 and WebDAV  methods, and a low-level interface to 
HTTP request/response handling, allowing new methods to be 
easily implemented.

%package -n	%{libname}-devel
Summary:	Headers for developing programs that will use %{name}
Group:		Development/C++
Requires:	%{libname} = %{version}
Provides:	libneon-devel
Provides:	neon-devel 
Obsoletes:	libneon0-devel
Provides:	libneon0-devel

%description -n	%{libname}-devel
This package contains the headers that programmers will need to develop
applications which will use %{name}.

%package -n	%{libname}-static-devel
Summary:	Static %{libname} library
Group:		Development/C++
Requires:	%{libname}-devel = %{version}
Provides:	libneon-static-devel
Provides:	neon-static-devel
Obsoletes:	libneon0-static-devel
Provides:	libneon0-static-devel

%description -n	%{libname}-static-devel
Static %{libname} library.

%prep

%setup -q -n %{rname}-%{version}

# clean up CVS stuff
for i in `find . -type d -name CVS` `find . -type f -name .cvs\*` `find . -type f -name .#\*`; do
    if [ -e "$i" ]; then rm -r $i; fi >&/dev/null
done

%build

# wierd stuff...
%define __libtoolize /bin/true

%serverbuild

%configure2_5x \
    --enable-shared \
    --enable-static \
    --with-ssl \
    --with-libxml2 \

%make
make test

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%makeinstall

mv src/README README.neon

# fix this
rm -rf %{buildroot}%{_datadir}/doc

%post -n %{libname} -p /sbin/ldconfig
%postun -n %{libname} -p /sbin/ldconfig

%post -n %{libname}-devel -p /sbin/ldconfig
%postun -n %{libname}-devel -p /sbin/ldconfig

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%files -n %{libname}
%defattr(644,root,root,755)
%doc doc/*.txt doc/html README.neon
%attr(755,root,root) %{_libdir}/lib*.so.*

%files -n %{libname}-devel
%defattr(644,root,root,755)
%doc AUTHORS BUGS ChangeLog NEWS README THANKS TODO
%attr(755,root,root) %{_bindir}/*
%attr(755,root,root) %{_libdir}/lib*.so
%attr(755,root,root) %{_libdir}/lib*.la
%attr(644,root,root) %{_libdir}/pkgconfig/neon.pc
%{_includedir}/*
%{_mandir}/man1/*
%{_mandir}/man3/*

%files -n %{libname}-static-devel
%defattr(644,root,root,755)
%{_libdir}/lib*.a

%changelog
* Mon Dec 22 2003 Stefan van der Eijk <stefan@eijk.nu> 0.24.4-2mdk
- rebuild for new pkgconfig Requires
- drop redundant BuildRequires

* Mon Nov 10 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 0.24.4-1mdk
- 0.24.4
- added the gpg sig file
- disable libtool

* Thu Sep 04 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 0.24.0-4mdk
- fix buildrequires

* Mon Jul 21 2003 David Baudens <baudens@mandrakesoft.com> 0.24.0-3mdk
- Rebuild to fix bad signature

* Thu Jul 10 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 0.24.0-2mdk
- rebuild

* Sun Jun 22 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 0.24.0-1mdk
- 0.24.0
- added one new file

* Tue Jun 03 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 0.23.9-1mdk
- 0.23.9
- make it provide
- use macros
- misc spec file fixes

* Tue Mar 04 2003 Jean-Michel Dault <jmdault@mandrakesoft.com> 0.23.8-2mdk
- add Obsoletes and Provides libneon0, libneono0-devel, etc.
- Oden: either get your signature into Mandrake or don't sign the packages

* Mon Mar 03 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 0.23.8-1mdk
- use the %%mklibname macro
- rebuilt against latest buildrequires
- got rpmlint to finally shut up...

* Sat Feb 08 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 0.23.7-1mdk
- 0.23.7

* Thu Jan 16 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 0.23.5-3mdk
- build against openssl-0.9.7

* Mon Jan 13 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 0.23.5-2mdk
- build release
- misc spec file fixes

* Fri Nov 01 2002 Oden Eriksson <oden.eriksson@kvikkjokk.net> 0.23.5-2mdk
- libifiction
- added the static-devel subpackages
- enabled shared build
- huge spec file fixes

* Fri Nov 01 2002 Oden Eriksson <oden.eriksson@kvikkjokk.net> 0.23.5-1mdk
- new version

* Wed Jul 03 2002 Lenny Cartier <lenny@mandrakesoft.com> 0.21.3-1mdk
- 0.21.3
- enable ssl support

* Fri Nov 30 2001 Daouda LO <daouda@mandrakesoft.com> 0.18.0-1mdk
- release 0.18.0

* Thu Oct 18 2001 Daouda LO <daouda@mandrakesoft.com> 0.15.3-2mdk
- spec cleanups
- add devel package (rpmlint compliant)

* Sun Jul  1 2001  Daouda Lo <daouda@mandrakesoft.com> 0.15.3-1mdk
- mdk first package
